#include <stdio.h>
#include "RTEngine.h"
#include "Image24.h"
#include <math.h>

int
main()
{
  int i;
  double x = 0.0;

  for(i = 0; i < 100; i++, x += 0.1)
  {
    char fname[256];

    Image24 Img(320, 240);
    RTEngine RT;

    RT.AddSphere(Vector3D(cos(x),0.0,sin(x) * 0.5 + 0.5), 0.4);

    RT.Render(&Img);
    sprintf(fname, "anim_%.3i.tga", i);
    Img.SaveAsTGA(fname);
    putchar('.');
  }

  return 0;
}

