#include "Material.h"

Material::Material()
{
  this->Color     = Vector3D(0.0, 0.0, 0.0);
  this->Specular  = 0.0;
  this->Diffusive = 0.0;
}

Material::Material(Vector3D Color, double Specular, double Diffusive, double Reflective)
{
  this->Color      = Color;
  this->Specular   = Specular;
  this->Diffusive  = Diffusive;
  this->Reflective = Reflective;
}

Material Material::operator=(Material m)
{
  this->Color      = m.Color;
  this->Specular   = m.Specular;
  this->Diffusive  = m.Diffusive;
  this->Reflective = m.Reflective;
}

