#pragma once
#include "Image24.h"
#include "Primitive.h"
#include <vector>

class RTEngine
{
  private:
    std::vector<Primitive*> PrimitiveList;
    Vector3D Trace(Ray ray);
    
  public:
    RTEngine();
    ~RTEngine();

    void AddSphere(Vector3D Center, double Radius);
    void Render(Image24 *img);
};

