#include <stdio.h>
#include "RTEngine.h"
#include "Image24.h"

int
main()
{
  Image24 Img(640, 480);
  RTEngine RT;

  RT.AddSphere(Vector3D(1.0,0.0,0.4), 0.4);
  RT.AddSphere(Vector3D(0.0,0.0,0.5), 0.4);
  RT.AddSphere(Vector3D(-1.0,0.0,0.6), 0.4);

  RT.Render(&Img);
  Img.SaveAsTGA("dump.tga");

  return 0;
}

