#pragma once
#include "Vector3D.h"
#include "Ray.h"
#include "Primitive.h"

class PrimSphere : public Primitive
{
  public:
    Vector3D Position;
    double Radius;
    PrimSphere(Vector3D Position, double Radius);
    int Intersect(Ray &ray, double &dist);
};
